## org.eclipse.datatools.modelbase.sql.query
Interface GroupingSetsElementSublist

All Superinterfaces:
  GroupingSetsElement, SQLObject, SQLQueryObject

All Known Implementing Classes:
  GroupingSetsElementSublistImpl

public interface GroupingSetsElementSublist
extends GroupingSetsElement

A representation of the model object 'SQL Grouping Sets Element Sublist'.

The following features are supported:

- `Grouping Sets Element Expr List`

See Also:
  `SQLQueryModelPackage.getGroupingSetsElementSublist()`

Method Summary
`EList` `getGroupingSetsElementExprList()` Returns the value of the 'Grouping Sets Element Expr List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSetsElement
`getGroupingSets, setGroupingSets`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getGroupingSetsElementExprList

    public EList getGroupingSetsElementExprList()

  Returns the value of the 'Grouping Sets Element Expr List' containment reference list. The list contents are of type `GroupingSetsElementExpression`. It is bidirectional and its opposite is '`Grouping Sets Element Sublist`'.

  If the meaning of the 'Grouping Sets Element Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Sets Element Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getGroupingSetsElementSublist_GroupingSetsElementExprList()`, `GroupingSetsElementExpression.getGroupingSetsElementSublist()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.